package com.microservices.pms.productLibrary.service;

import com.microservices.pms.productLibrary.domain.PmsProductlibJyrjd;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (PmsProductlibJyrjd)表服务接口
 *
 * @author makejava
 * @since 2023-12-08 15:09:21
 */
public interface IPmsProductlibJyrjdService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PmsProductlibJyrjd queryById(Integer id);

    /**
     * 分页查询
     *
     * @param pmsProductlibJyrjd 筛选条件
     * @param pageRequest        分页对象
     * @return 查询结果
     */
    Page<PmsProductlibJyrjd> queryByPage(PmsProductlibJyrjd pmsProductlibJyrjd, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param pmsProductlibJyrjd 实例对象
     * @return 实例对象
     */
    PmsProductlibJyrjd insert(PmsProductlibJyrjd pmsProductlibJyrjd);

    /**
     * 修改数据
     *
     * @param pmsProductlibJyrjd 实例对象
     * @return 实例对象
     */
    PmsProductlibJyrjd update(PmsProductlibJyrjd pmsProductlibJyrjd);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);


    Long queryCount(PmsProductlibJyrjd pmsProductlibJyrjd);

    boolean deleteByPath(String s);

    PmsProductlibJyrjd queryByPath(String name);

    public PmsProductlibJyrjd queryByPmsProductlibJyrjd(PmsProductlibJyrjd pmsProductlibJyrjd);
}
